%global majorversion 0.0
%global xfceversion 4.7.0


Name:           ristretto
Version:        0.0.93
Release:        1%{?dist}
Summary:        Image-viewer for the Xfce desktop environment
Summary(de):    Bildbetrachter für die Xfce Desktop-Umgebung

Group:          User Interface/Desktops
License:        GPLv2+
URL:            http://goodies.xfce.org/projects/applications/ristretto/
Source0:        http://archive.xfce.org/src/apps/%{name}/%{majorversion}/%{name}-%{version}.tar.bz2
Patch0:         ristretto-0.0.91-dsofix.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  Thunar-devel >= 0.4
BuildRequires:  libxfce4ui-devel >= %{xfceversion}
BuildRequires:  xfconf-devel >= %{xfceversion}
BuildRequires:  libexif-devel >= 0.6.0
BuildRequires:  dbus-glib-devel >= 0.34
BuildRequires:  desktop-file-utils, gettext, intltool


%description
Ristretto is a fast and lightweight image-viewer for the Xfce desktop 
environment.

%description -l de
Ristretto ist ein schneller und leichtgewichtiger Bildbetrachter für die Xfce
Desktop-Umgebung.


%prep
%setup -q
%patch0 -p1 -b .dsofix


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}
desktop-file-install --vendor fedora                            \
        --dir ${RPM_BUILD_ROOT}%{_datadir}/applications         \
        --add-mime-type=image/x-bmp                             \
        --add-mime-type=image/x-png                             \
        --add-mime-type=image/x-pcx                             \
        --add-mime-type=image/x-tga                             \
        --add-mime-type=image/xpm                               \
        --delete-original                                       \
        ${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
update-desktop-database &> /dev/null || :


%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi
update-desktop-database &> /dev/null || :


%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README
%{_bindir}/%{name}
%{_datadir}/applications/fedora-%{name}.desktop
%{_docdir}/%{name}/
%{_datadir}/icons/hicolor/*/*/*


%changelog
* Thu Mar 03 2011 Christoph Wickert <cwickert@fedoraproject.org> - 0.0.93-1
- Update to 0.0.93 (fixes #542141 and #679808)
- No longer require xfce4-doc
- Run update-desktop-database in %%post and %%postun

* Wed Feb 09 2011 Christoph Wickert <cwickert@fedoraproject.org> - 0.0.91-2
- BR xfconf-devel to fix build after Xfce 4.8 update

* Tue Jul 13 2010 Christoph Wickert <cwickert@fedoraproject.org> - 0.0.91-1
- Update to 0.0.91 (Development release for next major version)
- Require xfce4-doc for directory ownership of the nex docs

* Wed Feb 17 2010 Christoph Wickert <cwickert@fedoraproject.org> - 0.0.22-3
- Add patch to fix DSO linking (#565114)

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.22-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri May 15 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.0.22-1
- Update to 0.0.22

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.21-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Nov 27 2008 Christoph Wickert <cwickert@fedoraproject.org> - 0.0.21-1
- Update to 0.0.21
- Remove marshaller fix, included upstream now

* Tue Jul 01 2008 Christoph Wickert <cwickert@fedoraproject.org> - 0.0.20-2
- Add patch to fix x86_64 bit bug caused by a wrong marshaller (#351531)

* Sat May 24 2008 Christoph Wickert <cwickert@fedoraproject.org> - 0.0.20-1
- Update to 0.0.20

* Sat May 10 2008 Christoph Wickert <cwickert@fedoraproject.org> - 0.0.19-1
- Update to 0.0.19

* Sat Apr 05 2008 Christoph Wickert <cwickert@fedoraproject.org> - 0.0.18-1
- Update to 0.0.18

* Wed Feb 17 2008 Christoph Wickert <cwickert@fedoraproject.org> - 0.0.17-1
- Update to 0.0.17

* Wed Jan 30 2008 Christoph Wickert <cwickert@fedoraproject.org> - 0.0.16-1
- Update to 0.0.16

* Mon Dec 03 2007 Christoph Wickert <cwickert@fedoraproject.org> - 0.0.15-1
- Update to 0.0.15

* Mon Dec 03 2007 Christoph Wickert <cwickert@fedoraproject.org> - 0.0.14-1
- Update to 0.0.14

* Mon Nov 26 2007 Christoph Wickert <cwickert@fedoraproject.org> - 0.0.13-1
- Update to 0.0.13

* Wed Nov 21 2007 Christoph Wickert <cwickert@fedoraproject.org> - 0.0.12-2
- Try manual_adjustments.patch

* Tue Nov 20 2007 Christoph Wickert <cwickert@fedoraproject.org> - 0.0.12-1
- Update to 0.0.12

* Wed Nov 07 2007 Christoph Wickert <cwickert@fedoraproject.org> - 0.0.11-1
- Update to 0.0.11
- BuildRequire dbus-glib-devel

* Sat Nov 03 2007 Christoph Wickert <cwickert@fedoraproject.org> - 0.0.10-1
- Update to 0.0.10
- Add more mimetypes: tiff, x-bmp, x-png, x-pcx, x-tga and xpm
- Correct build requirements

* Fri Oct 19 2007 Christoph Wickert <cwickert@fedoraproject.org> - 0.0.9-1
- Update to 0.0.9

* Sun Oct 14 2007 Christoph Wickert <cwickert@fedoraproject.org> - 0.0.8-1
- Update to 0.0.8

* Sun Sep 30 2007 Christoph Wickert <cwickert@fedoraproject.org> - 0.0.7-1
- Update to 0.0.7

* Sun Sep 09 2007 Christoph Wickert <cwickert@fedoraproject.org> - 0.0.4-1
- Update to 0.0.4

* Wed Sep 05 2007 Christoph Wickert <cwickert@fedoraproject.org> - 0.0.3-1
- Initial RPM package
